You are here

Is NWN EE servers compatible for receiving 1.69 players?

9 posts / 0 new
Last post
WhiteTiger
Is NWN EE servers compatible for receiving 1.69 players?

I see they will remove the need of the port forward to start a server on the internet - and this will be very intersting for me, because my new modem is not working port forward function I don't know why. This said, is possible to receive 1.69 people in NWN EE servers? I have some friends that don't have EE and we are playing nwn by using virtual servers app.

Edit: using 1.69 modules!!!

  • up
    50%
  • down
    50%
thirdmouse

No. Just like you can't log into a 1.69 server with a 1.66 client.

Edit - because you specifically asked if it was POSSIBLE, yes, it is probably possible to hack something together to allow it, but it won't be something standard on BD's end :P

  • up
    50%
  • down
    50%
WhiteTiger

I didn't was playing nwn yet when there was 1.66 patch only 1.69, but I got that example, haha. And what about using 1.69 modules for start the server?

  • up
    50%
  • down
    50%
Fester Pot
Fester Pot's picture

If you load a 1.69 made module and start it up as a server in Enhanced Edition, only those with Enhanced Edition can connect to it.

If you load a 1.69 module and start it up as a server in 1.69 Neverwinter Nights, only those with 1.69 Neverwinter Nights can connect to it.

So if all your friends only have 1.69 Neverwinter Nights, then that is how you'll play with them, with your own copy of 1.69 Neverwinter Nights.

FP!

  • up
    100%
  • down
    0%
meaglyn

"If you load a 1.69 module and start it up as a server in 1.69 Neverwinter Nights, only those with 1.69 Neverwinter Nights can connect to it"

I don't think that's right or if it is that's new.    The new client is(was) supposed to able to connect to older servers.

  • up
    0%
  • down
    100%
beirutnwn

I have another question. If I buy a copy of NWN EE for myself, side PC & labtop will i also have to buy a 4th client for the remote server? ? Or will it run ee mods off the original server client?

 

Age Of Mortals beirutnwn

  • up
    100%
  • down
    0%
Fester Pot
Fester Pot's picture

Not that I'm aware, don't think it has ever supposed to connect to older servers.

Loading and playing old single player modules, yeah.

Otherwise, attempting to connect to a 1.69 server with Enhanced Edition returns,

"Connect to server has failed.
Connection error: Client and Sever versions do not match."

FP!

  • up
    100%
  • down
    0%
meaglyn

Yep. I stand corrected. I was misunderstanding...  nevermind.

  • up
    0%
  • down
    100%
sherincall

I have another question. If I buy a copy of NWN EE for myself, side PC & labtop will i also have to buy a 4th client for the remote server? ? Or will it run ee mods off the original server client?

 

The dedicated server packages are free to download. Look here: https://forums.beamdog.com/discussion/67157/server-download-packages-and...

There's also a few other ways to run the server, such as docker. Finally, you can just clone one of your installs and run the server from there, as the server doesn't use the CDKey.

  • up
    100%
  • down
    0%